Package fr.gouv.vitam.common.database.builder.query.action

# Class AddAction

java.lang.Object
fr.gouv.vitam.common.database.builder.query.action.Action
fr.gouv.vitam.common.database.builder.query.action.AddAction

Direct Known Subclasses:
  `AddAction`

public class AddAction extends Action
Add Action: $add : { name : [ value, value, ... ] }

- ## Field Summary

  ### Fields inherited from class fr.gouv.vitam.common.database.builder.query.action.Action

  `currentAction, currentObject, currentUPDATEACTION, ready`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `AddAction()`
  ``
  `AddAction(String variableName, boolean... value)`
  Add Action constructor
  ``
  `AddAction(String variableName, double... value)`
  Add Action constructor
  ``
  `AddAction(String variableName, long... value)`
  Add Action constructor
  ``
  `AddAction(String variableName, String... value)`
  Add Action constructor
  ``
  `AddAction(String variableName, Date... value)`
  Add Action constructor

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final AddAction`
  `add(boolean... value)`
  Add other Add sub actions to Add Query
  `final AddAction`
  `add(double... value)`
  Add other Add sub actions to Add Query
  `final AddAction`
  `add(long... value)`
  Add other Add sub actions to Add Query
  `final AddAction`
  `add(String... value)`
  Add other Add sub actions to Add Query
  `final AddAction`
  `add(Date... value)`
  Add other Add sub actions to Add Query

  ### Methods inherited from class fr.gouv.vitam.common.database.builder.query.action.Action

  `clean, createActionValueArrayVariable, createActionVariables, createActionVariableValue, createActionVariableValue, createActionVariableValue, createActionVariableValue, createActionVariableValue, createActionVariableValue, getCurrentAction, getCurrentObject, getUPDATEACTION, isReady, setReady, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### AddAction

    protected AddAction()

  - ### AddAction

    public AddAction(String variableName, String... value) throws InvalidCreateOperationException
    Add Action constructor
    Parameters:
      `variableName` - key name
      `value` - key value
    Throws:
      `InvalidCreateOperationException` - when query is invalid

  - ### AddAction

    public AddAction(String variableName, long... value) throws InvalidCreateOperationException
    Add Action constructor
    Parameters:
      `variableName` - key name
      `value` - key value
    Throws:
      `InvalidCreateOperationException` - when query is invalid

  - ### AddAction

    public AddAction(String variableName, boolean... value) throws InvalidCreateOperationException
    Add Action constructor
    Parameters:
      `variableName` - key name
      `value` - key value
    Throws:
      `InvalidCreateOperationException` - when query is invalid

  - ### AddAction

    public AddAction(String variableName, double... value) throws InvalidCreateOperationException
    Add Action constructor
    Parameters:
      `variableName` - key name
      `value` - key value
    Throws:
      `InvalidCreateOperationException` - when query is invalid

  - ### AddAction

    public AddAction(String variableName, Date... value) throws InvalidCreateOperationException
    Add Action constructor
    Parameters:
      `variableName` - key name
      `value` - key value
    Throws:
      `InvalidCreateOperationException` - when query is invalid

- ## Method Details

  - ### add

    public final AddAction add(String... value) throws InvalidCreateOperationException
    Add other Add sub actions to Add Query
    Parameters:
      `value` - key value
    Returns:
      the AddAction
    Throws:
      `InvalidCreateOperationException` - when query is invalid

  - ### add

    public final AddAction add(boolean... value) throws InvalidCreateOperationException
    Add other Add sub actions to Add Query
    Parameters:
      `value` - key value
    Returns:
      the AddAction
    Throws:
      `InvalidCreateOperationException` - when query is invalid

  - ### add

    public final AddAction add(long... value) throws InvalidCreateOperationException
    Add other Add sub actions to Add Query
    Parameters:
      `value` - key value
    Returns:
      the AddAction
    Throws:
      `InvalidCreateOperationException` - when query is invalid

  - ### add

    public final AddAction add(double... value) throws InvalidCreateOperationException
    Add other Add sub actions to Add Query
    Parameters:
      `value` - key value
    Returns:
      the AddAction
    Throws:
      `InvalidCreateOperationException` - when query is invalid

  - ### add

    public final AddAction add(Date... value) throws InvalidCreateOperationException
    Add other Add sub actions to Add Query
    Parameters:
      `value` - key value
    Returns:
      the AddAction
    Throws:
      `InvalidCreateOperationException` - when query is invalid